View Issue Details

IDProjectCategoryView StatusLast Update
0032861Open CASCADEOCCT:Visualizationpublic2022-04-10 10:49
Reportersshutina Assigned Tosshutina  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032861: Visualization, AIS_ViewController - dragging doesn't work with disabled View rotation
DescriptionWhen the rotate is disable in AIS_ViewController, the moving of the AIS_InteractiveObject isn't worked.
The reason:
The action AIS_DragAction_Update will be in ProcessDragging function by the condition myGL.OrbitRotation.ToRotate is true and the owner isn't null. But when we create the view with the option -2d or disable the rotate in AIS_ViewController myGL.OrbitRotation.ToRotate is false so the update action won't be in function.
TODO:
To avoid this problem it's necessary to separate 2 options: rotate the view and move the object.
Steps To Reproduce
pload MODELING VISUALIZATION
vinit aView -2d
box b 10 10 10
vdisplay b
vmanipulator m -attach b


Try to move the manipulator via mouse->it isn't worked
TagsNo tags attached.
Test case numberv3d\manipulator\drag_in_2d_view

Relationships

related to 0032879 newkgv Visualization, AIS_ViewController - define separate gesture mappings for dragging 
child of 0030507 closedbugmaster Visualization - introduce AIS_ViewController 

Activities

git

2022-03-03 10:42

administrator   ~0107159

Branch CR32861 has been created by svetlana.shutina_170290.

SHA-1: a76015ff19fbc0e9d3cdfd3e402c85932eae69cb


Detailed log of new commits:

Author: sshutina
Date: Thu Mar 3 10:42:18 2022 +0300

    0032861: Visualization - Separate rotate and move the object behavior in AIS_ViewController
    
     - added the flag in Dragging structure that defines perform dragging (ToMove)
     - OnObjectDragged with action AIS_DragAction_Update depends on the new dragging flag
     - added test

sshutina

2022-03-03 11:23

developer   ~0107162

Dear Kirill,
could you please review the patch.

OCCT branch - CR32861
products branch - master

The testing is in progress - http://jenkins-test-occt/view/CR32861-master-sshutina/view/ALL/

git

2022-03-03 12:04

administrator   ~0107163

Branch CR32861 has been updated forcibly by svetlana.shutina_170290.

SHA-1: f947ff5b20b08982c9ad34c0a6fc629022c968de

git

2022-03-03 12:16

administrator   ~0107164

Branch CR32861 has been updated forcibly by svetlana.shutina_170290.

SHA-1: 060301a8e5e236f183b0c349db334b2a4abe8f7c

git

2022-03-03 15:01

administrator   ~0107166

Branch CR32861 has been updated forcibly by svetlana.shutina_170290.

SHA-1: 8c3dbc1ec5046109550e15643df9509f00a4695b

sshutina

2022-03-03 15:04

developer   ~0107167

Dear Kirill,
could you please review the patch.

OCCT branch - CR32861
products branch - master

The testing is successfully - http://jenkins-test-occt/view/CR32861-master-sshutina/view/ALL/

git

2022-03-03 17:20

administrator   ~0107172

Branch CR32861 has been updated by svetlana.shutina_170290.

SHA-1: 27f043ea983c88a99f65595b0cd94acae7a1732e


Detailed log of new commits:

Author: sshutina
Date: Thu Mar 3 17:20:20 2022 +0300

    #fixed remarks

git

2022-03-03 17:27

administrator   ~0107173

Branch CR32861_1 has been created by svetlana.shutina_170290.

SHA-1: 0d6fcb1978a4f881bfaff345a96da12cd1180362


Detailed log of new commits:

Author: sshutina
Date: Thu Mar 3 10:42:18 2022 +0300

    0032861: Visualization - Separate rotate and move the object behavior in AIS_ViewController
    
     - added the flag in Dragging structure that defines perform dragging (ToMove)
     - OnObjectDragged with action AIS_DragAction_Update depends on the new dragging flag
     - added test

git

2022-03-03 19:52

administrator   ~0107175

Branch CR32861_1 has been updated forcibly by kgv.

SHA-1: ae0d3e0c9a72e07d181992244f7d083ee5ba597e

git

2022-03-10 11:24

administrator   ~0107250

Branch CR32861_1 has been updated by svetlana.shutina_170290.

SHA-1: d3b01111aa5a2df7d4b0feedd2448a87f2186ffc


Detailed log of new commits:

Author: sshutina
Date: Thu Mar 10 10:02:30 2022 +0300

    #fixed bug

git

2022-03-10 11:28

administrator   ~0107251

Branch CR32861_2 has been created by svetlana.shutina_170290.

SHA-1: acae73379a3deb54e08efede9348c2c7ffdcbce5


Detailed log of new commits:

Author: sshutina
Date: Thu Mar 10 11:27:45 2022 +0300

    0032861: Visualization - Separate rotate and move the object behavior in AIS_ViewController
    
     - added the flag in Dragging structure that defines perform dragging (ToMove)
     - OnObjectDragged with action AIS_DragAction_Update depends on the new dragging flag
     - added test

sshutina

2022-03-10 16:26

developer   ~0107255

Dear Kirill,
could you please review it again.
OCCT branch - CR32861_2
products branch - master

The testing is successfully - http://jenkins-test-occt/view/CR32861-master-sshutina/view/ALL/

kgv

2022-03-10 20:17

developer   ~0107260

Still brings regressions when manually tested.

git

2022-03-15 09:18

administrator   ~0107287

Branch CR32861_2 has been updated forcibly by svetlana.shutina_170290.

SHA-1: 5b708aac57abbd3074fc96d233d3f1b790726bb8

sshutina

2022-03-15 15:59

developer   ~0107292

Dear Kirill,
could you please review it again.
OCCT branch - CR32861_2
products branch - master

The testing is successfully - http://jenkins-test-occt/view/CR32861-master-sshutina/view/ALL/

kgv

2022-03-15 20:53

developer   ~0107296

There are some issues with dragging abortion using right click - it doesn't work sometimes as expected (manipulator object) and doesn't work at all (light source presentation).

git

2022-03-16 12:45

administrator   ~0107300

Branch CR32861_2 has been updated by svetlana.shutina_170290.

SHA-1: bed4afea6ccf678551d3afec3094c650f7c2be2b


Detailed log of new commits:

Author: sshutina
Date: Wed Mar 16 12:45:43 2022 +0300

    #fixed bug

git

2022-03-16 12:52

administrator   ~0107301

Branch CR32861_2 has been updated forcibly by svetlana.shutina_170290.

SHA-1: 3de71235c4b809935d005d236ecb43dbccde54c8

git

2022-03-16 12:55

administrator   ~0107302

Branch CR32861_3 has been created by svetlana.shutina_170290.

SHA-1: 5cbe155d4ca77a33ec20bdf1d1dc8df6c9828711


Detailed log of new commits:

Author: sshutina
Date: Thu Mar 10 11:27:45 2022 +0300

    0032861: Visualization - Separate rotate and move the object behavior in AIS_ViewController
    
     - added the flag in Dragging structure that defines perform dragging (ToMove)
     - OnObjectDragged with action AIS_DragAction_Update depends on the new dragging flag
     - added test

sshutina

2022-03-16 17:19

developer   ~0107306

Dear Kirill,
could you please review it again.
OCCT branch - CR32861_3
products branch - master

The testing is successfully - http://jenkins-test-occt/view/CR32861-master-sshutina/view/ALL/

git

2022-04-04 23:38

administrator   ~0107611

Branch CR32861_4 has been created by kgv.

SHA-1: 4c4abb1736efadb60af00a4129b3615e8c52ace5


Detailed log of new commits:

Author: sshutina
Date: Mon Apr 4 22:53:18 2022 +0300

    0032861: Visualization - Separate rotate and move the object behavior in AIS_ViewController
    
    Added the flag in Dragging structure that defines perform dragging (ToMove).

kgv

2022-04-05 07:48

developer   ~0107614

Please raise the patch
- OCCT: branch CR32861_4.

http://jenkins-test-occt/view/CR32861_4-master-KGV/

git

2022-04-05 07:51

administrator   ~0107615

Branch CR32861_4 has been updated forcibly by kgv.

SHA-1: 4b2f198d9746f31f238503033fa0493955ffd768

smoskvin

2022-04-09 09:49

administrator   ~0107784

Combination -
OCCT branch : IR-2022-04-08
master SHA - 7021de2fe7a69d4c788ccf43b8b096dbcc8597c8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-08 SHA - e16d959d441765c483049307ba7293173532103a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18452.87000000039 / 18490.94000000032 [-0.21%]
Products
Total CPU difference: 11761.310000000152 / 11719.920000000124 [+0.35%]
Windows-64-VC14:
OCCT
Total CPU difference: 20539.828125 / 20552.71875 [-0.06%]
Products
Total CPU difference: 13248.21875 / 13242.609375 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-10 10:49

administrator   ~0107817

Branch CR32861 has been deleted by mnt.

SHA-1: 27f043ea983c88a99f65595b0cd94acae7a1732e

git

2022-04-10 10:49

administrator   ~0107818

Branch CR32861_1 has been deleted by mnt.

SHA-1: d3b01111aa5a2df7d4b0feedd2448a87f2186ffc

git

2022-04-10 10:49

administrator   ~0107819

Branch CR32861_2 has been deleted by mnt.

SHA-1: 3de71235c4b809935d005d236ecb43dbccde54c8

git

2022-04-10 10:49

administrator   ~0107820

Branch CR32861_3 has been deleted by mnt.

SHA-1: 5cbe155d4ca77a33ec20bdf1d1dc8df6c9828711

git

2022-04-10 10:49

administrator   ~0107821

Branch CR32861_4 has been deleted by mnt.

SHA-1: 4b2f198d9746f31f238503033fa0493955ffd768

Related Changesets

occt: master e3fd3d83

2022-04-04 22:53:18

sshutina


Committer: smoskvin Details Diff
0032861: Visualization - Separate rotate and move the object behavior in AIS_ViewController

Added the flag in Dragging structure that defines perform dragging (ToMove).
Affected Issues
0032861
mod - src/AIS/AIS_MouseGesture.hxx Diff File
mod - src/AIS/AIS_ViewController.cxx Diff File
mod - src/AIS/AIS_ViewController.hxx Diff File
mod - src/AIS/AIS_ViewInputBuffer.hxx Diff File
add - tests/v3d/manipulator/drag_in_2d_view Diff File

Issue History

Date Modified Username Field Change
2022-03-02 13:02 sshutina New Issue
2022-03-02 13:02 sshutina Assigned To => sshutina
2022-03-02 16:09 bugmaster Project Internal => Open CASCADE
2022-03-02 16:28 kgv Product Version => 7.6.0
2022-03-02 16:28 kgv Summary Visualization - Separate rotate and move the object behavior in AIS_ViewController => Visualization, AIS_ViewController - dragging doesn't work with disabled View rotation
2022-03-02 16:28 kgv Steps to Reproduce Updated
2022-03-03 10:42 git Note Added: 0107159
2022-03-03 11:23 sshutina Assigned To sshutina => kgv
2022-03-03 11:23 sshutina Status new => resolved
2022-03-03 11:23 sshutina Test case number => v3d\manipulator\drag_in_2d_view
2022-03-03 11:23 sshutina Note Added: 0107162
2022-03-03 12:04 git Note Added: 0107163
2022-03-03 12:16 git Note Added: 0107164
2022-03-03 15:01 git Note Added: 0107166
2022-03-03 15:04 sshutina Note Added: 0107167
2022-03-03 17:20 git Note Added: 0107172
2022-03-03 17:27 git Note Added: 0107173
2022-03-03 19:52 git Note Added: 0107175
2022-03-03 20:55 kgv Assigned To kgv => sshutina
2022-03-03 20:55 kgv Status resolved => assigned
2022-03-10 11:24 git Note Added: 0107250
2022-03-10 11:28 git Note Added: 0107251
2022-03-10 16:26 sshutina Assigned To sshutina => kgv
2022-03-10 16:26 sshutina Status assigned => resolved
2022-03-10 16:26 sshutina Note Added: 0107255
2022-03-10 20:17 kgv Note Added: 0107260
2022-03-10 20:18 kgv Assigned To kgv => sshutina
2022-03-10 20:18 kgv Status resolved => assigned
2022-03-15 09:18 git Note Added: 0107287
2022-03-15 15:59 sshutina Assigned To sshutina => kgv
2022-03-15 15:59 sshutina Status assigned => resolved
2022-03-15 15:59 sshutina Note Added: 0107292
2022-03-15 20:53 kgv Note Added: 0107296
2022-03-15 20:54 kgv Assigned To kgv => sshutina
2022-03-15 20:54 kgv Status resolved => assigned
2022-03-16 12:45 git Note Added: 0107300
2022-03-16 12:52 git Note Added: 0107301
2022-03-16 12:55 git Note Added: 0107302
2022-03-16 17:19 sshutina Assigned To sshutina => kgv
2022-03-16 17:19 sshutina Status assigned => resolved
2022-03-16 17:19 sshutina Note Added: 0107306
2022-03-17 20:02 kgv Relationship added related to 0032879
2022-03-17 20:02 kgv Assigned To kgv => sshutina
2022-03-17 20:02 kgv Status resolved => assigned
2022-03-17 20:03 kgv Relationship added child of 0030507
2022-04-04 23:38 git Note Added: 0107611
2022-04-05 07:47 kgv Assigned To sshutina => bugmaster
2022-04-05 07:47 kgv Status assigned => resolved
2022-04-05 07:48 kgv Status resolved => reviewed
2022-04-05 07:48 kgv Note Added: 0107614
2022-04-05 07:51 git Note Added: 0107615
2022-04-09 09:49 smoskvin Status reviewed => tested
2022-04-09 09:49 smoskvin Note Added: 0107784
2022-04-10 10:42 smoskvin Changeset attached => occt master e3fd3d83
2022-04-10 10:42 sshutina Assigned To bugmaster => sshutina
2022-04-10 10:42 sshutina Status tested => verified
2022-04-10 10:42 sshutina Resolution open => fixed
2022-04-10 10:49 git Note Added: 0107817
2022-04-10 10:49 git Note Added: 0107818
2022-04-10 10:49 git Note Added: 0107819
2022-04-10 10:49 git Note Added: 0107820
2022-04-10 10:49 git Note Added: 0107821